--- //depot/vendor/freebsd/src/sys/dev/sr/if_sr.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/sr/if_sr.c	2005/08/05 14:11:40
@@ -744,7 +744,7 @@
  * This function only place the data in the oncard buffers. It does not
  * start the transmition. sr_xmit() does that.
  *
- * Transmitter idle state is indicated by the IFF_OACTIVE flag.
+ * Transmitter idle state is indicated by the IFF_DRV_OACTIVE flag.
  * The function that clears that should ensure that the transmitter
  * and its DMA is in a "good" idle state.
  */
@@ -773,7 +773,7 @@
 	printf("sr: srstart( ifp=%08x)\n", ifp);
 #endif
 	sc = ifp->if_softc;
-	if ((ifp->if_flags & IFF_RUNNING) == 0)
+	if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0)
 		return;
 #endif /* NETGRAPH */
 	hc = sc->hc;
@@ -799,9 +799,9 @@
 	 */
 	if (sc->txb_inuse == SR_TX_BLOCKS) {	/* out of space? */
 #ifndef NETGRAPH
-		ifp->if_flags |= IFF_OACTIVE;	/* yes, mark active */
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;	/* yes, mark active */
 #else
-		/*ifp->if_flags |= IFF_OACTIVE;*/	/* yes, mark active */
+		/*ifp->if_drv_flags |= IFF_DRV_OACTIVE;*/	/* yes, mark active */
 #endif /* NETGRAPH */
 
 		if (hc->mempages)
@@ -1009,7 +1009,7 @@
 	       ifp, cmd, data);
 #endif
 
-	was_up = ifp->if_flags & IFF_RUNNING;
+	was_up = ifp->if_drv_flags & IFF_DRV_RUNNING;
 
 	error = sppp_ioctl(ifp, cmd, data);
 
@@ -1048,7 +1048,7 @@
 	}
 
 	s = splimp();
-	should_be_up = ifp->if_flags & IFF_RUNNING;
+	should_be_up = ifp->if_drv_flags & IFF_DRV_RUNNING;
 
 	if (!was_up && should_be_up) {
 		/*
@@ -1101,7 +1101,7 @@
 #endif
 
 #ifndef NETGRAPH
-	if (!(ifp->if_flags & IFF_RUNNING))
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 
 	ifp->if_oerrors++;	/* update output error count */
@@ -1133,9 +1133,9 @@
 	}
 	sc->xmit_busy = 0;
 #ifndef NETGRAPH
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 #else
-	/*ifp->if_flags &= ~IFF_OACTIVE; */
+	/*ifp->if_drv_flags &= ~IFF_DRV_OACTIVE; */
 #endif /* NETGRAPH */
 
 	if (sc->txb_inuse && --sc->txb_inuse)
@@ -2281,7 +2281,7 @@
 				/*
 				 * This should be the most common case.
 				 *
-				 * Clear the IFF_OACTIVE flag.
+				 * Clear the IFF_DRV_OACTIVE flag.
 				 *
 				 * Call srstart to start a new transmit if
 				 * there is data to transmit.
@@ -2291,7 +2291,7 @@
 #endif
 				sc->xmit_busy = 0;
 #ifndef NETGRAPH
-				SC2IFP(sc)->if_flags &= ~IFF_OACTIVE;
+				SC2IFP(sc)->if_drv_flags &= ~IFF_DRV_OACTIVE;
 				SC2IFP(sc)->if_timer = 0;
 #else
 				/* XXX may need to mark tx inactive? */
--- //depot/vendor/freebsd/src/sys/dev/tx/if_tx.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/tx/if_tx.c	2005/08/05 14:11:40
@@ -567,12 +567,12 @@
 		 * If it is marked down and running, then stop it.
 		 */
 		if (ifp->if_flags & IFF_UP) {
-			if ((ifp->if_flags & IFF_RUNNING) == 0) {
+			if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 				epic_init(sc);
 				break;
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				epic_stop(sc);
 				break;
 			}
@@ -719,7 +719,7 @@
 		BPF_MTAP(ifp, m0);
 	}
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 }
 
 /*
@@ -852,7 +852,7 @@
 	}
 
 	if (sc->pending_txs < TX_RING_SIZE)
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	bus_dmamap_sync(sc->ttag, sc->tmap,
 	    BUS_DMASYNC_PREREAD | BUS_DMASYNC_PREWRITE);
 }
@@ -1267,7 +1267,7 @@
 	s = splimp();
 
 	/* If interface is already running, then we need not do anything. */
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		splx(s);
 		return;
 	}
@@ -1323,12 +1323,12 @@
 
 	/* Mark interface running ... */
 	if (ifp->if_flags & IFF_UP)
-		ifp->if_flags |= IFF_RUNNING;
+		ifp->if_drv_flags |= IFF_DRV_RUNNING;
 	else
-		ifp->if_flags &= ~IFF_RUNNING;
+		ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	/* ... and free */
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/* Start Rx process */
 	epic_start_activity(sc);
@@ -1590,7 +1590,7 @@
 	CSR_WRITE_4(sc, GENCTL, GENCTL_POWER_DOWN);
 
 	/* Mark as stoped */
-	sc->ifp->if_flags &= ~IFF_RUNNING;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	splx(s);
 }
--- //depot/vendor/freebsd/src/sys/dev/txp/if_txp.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/txp/if_txp.c	2005/08/05 14:11:40
@@ -811,7 +811,7 @@
 	struct txp_swdesc *sd;
 	u_int32_t i;
 
-	if (!(ifp->if_flags & IFF_RUNNING))
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 
 	i = sc->sc_rxbufprod;
@@ -884,7 +884,7 @@
 				ifp->if_opackets++;
 			}
 		}
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 		if (++cons == TX_ENTRIES) {
 			txd = r->r_desc;
@@ -1078,7 +1078,7 @@
 		if (ifp->if_flags & IFF_UP) {
 			txp_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				txp_stop(sc);
 		}
 		break;
@@ -1178,7 +1178,7 @@
 	sc = xsc;
 	ifp = sc->sc_ifp;
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	txp_stop(sc);
@@ -1212,8 +1212,8 @@
 	    TXP_INT_PCI_TABORT | TXP_INT_PCI_MABORT |  TXP_INT_LATCH);
 	WRITE_REG(sc, TXP_IMR, TXP_INT_A2H_3);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ifp->if_timer = 0;
 
 	sc->sc_tick = timeout(txp_tick, sc, hz);
@@ -1276,7 +1276,8 @@
 	u_int32_t firstprod, firstcnt, prod, cnt;
 	struct m_tag *mtag;
 
-	if ((ifp->if_flags & (IFF_RUNNING | IFF_OACTIVE)) != IFF_RUNNING)
+	if ((ifp->if_drv_flags & (IFF_DRV_RUNNING | IFF_DRV_OACTIVE)) !=
+	   IFF_DRV_RUNNING)
 		return;
 
 	prod = r->r_prod;
@@ -1362,7 +1363,7 @@
 	return;
 
 oactive:
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	r->r_prod = firstprod;
 	r->r_cnt = firstcnt;
 	IF_PREPEND(&ifp->if_snd, m);
@@ -1580,7 +1581,7 @@
 
 	ifp = sc->sc_ifp;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	untimeout(txp_tick, sc, sc->sc_tick);
 
--- //depot/vendor/freebsd/src/sys/dev/usb/if_aue.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_aue.c	2005/08/05 14:11:40
@@ -818,7 +818,7 @@
 	AUE_LOCK(sc);
 	ifp = sc->aue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		AUE_UNLOCK(sc);
 		return;
 	}
@@ -897,7 +897,7 @@
 	AUE_LOCK(sc);
 	ifp = sc->aue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		AUE_UNLOCK(sc);
 		return;
 	}
@@ -986,7 +986,7 @@
 	}
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	usbd_get_xfer_status(c->ue_xfer, NULL, NULL, NULL, &err);
 
 	if (c->ue_mbuf != NULL) {
@@ -1095,7 +1095,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		AUE_UNLOCK(sc);
 		return;
 	}
@@ -1108,7 +1108,7 @@
 
 	if (aue_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		AUE_UNLOCK(sc);
 		return;
 	}
@@ -1119,7 +1119,7 @@
 	 */
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -1142,7 +1142,7 @@
 
 	AUE_LOCK(sc);
 
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		AUE_UNLOCK(sc);
 		return;
 	}
@@ -1232,8 +1232,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->aue_stat_ch = timeout(aue_tick, sc, hz);
 
@@ -1291,18 +1291,18 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->aue_if_flags & IFF_PROMISC)) {
 				AUE_SETBIT(sc, AUE_CTL2, AUE_CTL2_RX_PROMISC);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->aue_if_flags & IFF_PROMISC) {
 				AUE_CLRBIT(sc, AUE_CTL2, AUE_CTL2_RX_PROMISC);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				aue_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				aue_stop(sc);
 		}
 		sc->aue_if_flags = ifp->if_flags;
@@ -1426,7 +1426,7 @@
 
 	sc->aue_link = 0;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	AUE_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/dev/usb/if_axe.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_axe.c	2005/08/05 14:11:40
@@ -612,7 +612,7 @@
 	AXE_LOCK(sc);
 	ifp = sc->axe_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		AXE_UNLOCK(sc);
 		return;
 	}
@@ -691,7 +691,7 @@
 	}
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	usbd_get_xfer_status(c->ue_xfer, NULL, NULL, NULL, &err);
 
 	if (c->ue_mbuf != NULL) {
@@ -791,7 +791,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		AXE_UNLOCK(sc);
 		return;
 	}
@@ -804,7 +804,7 @@
 
 	if (axe_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		AXE_UNLOCK(sc);
 		return;
 	}
@@ -815,7 +815,7 @@
 	 */
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -836,7 +836,7 @@
 	int			i;
 	int			rxmode;
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	AXE_LOCK(sc);
@@ -918,8 +918,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	AXE_UNLOCK(sc);
 
@@ -940,7 +940,7 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->axe_if_flags & IFF_PROMISC)) {
 				AXE_LOCK(sc);
@@ -951,7 +951,7 @@
 					0, rxmode, NULL);
 				AXE_UNLOCK(sc);
 				axe_setmulti(sc);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->axe_if_flags & IFF_PROMISC) {
 				AXE_LOCK(sc);
@@ -962,10 +962,10 @@
 					0, rxmode, NULL);
 				AXE_UNLOCK(sc);
 				axe_setmulti(sc);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				axe_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				axe_stop(sc);
 		}
 		sc->axe_if_flags = ifp->if_flags;
@@ -1084,7 +1084,7 @@
 	/* Free TX resources. */
 	usb_ether_tx_list_free(&sc->axe_cdata);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
         sc->axe_link = 0;
 	AXE_UNLOCK(sc);
 
--- //depot/vendor/freebsd/src/sys/dev/usb/if_cdce.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/usb/if_cdce.c	2005/08/05 14:11:40
@@ -322,7 +322,7 @@
 	CDCE_LOCK(sc);
 	sc->cdce_dying = 1;
 	ifp = GET_IFP(sc);
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		cdce_shutdown(sc->cdce_dev);
 
 	ether_ifdetach(ifp);
@@ -344,8 +344,8 @@
 
 
 	if (sc->cdce_dying ||
-		ifp->if_flags & IFF_OACTIVE ||
-		!(ifp->if_flags & IFF_RUNNING)) {
+		ifp->if_drv_flags & IFF_DRV_OACTIVE ||
+		!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		CDCE_UNLOCK(sc);
 		return;
 	}
@@ -358,14 +358,14 @@
 
 	if (cdce_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		CDCE_UNLOCK(sc);
 		return;
 	}
 
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	CDCE_UNLOCK(sc);
 
@@ -445,7 +445,7 @@
 	usb_ether_rx_list_free(&sc->cdce_cdata);
 	usb_ether_tx_list_free(&sc->cdce_cdata);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	CDCE_UNLOCK(sc);
 
 	return;
@@ -474,10 +474,10 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				cdce_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				cdce_stop(sc);
 		}
 		error = 0;
@@ -507,7 +507,7 @@
 	usbd_status		 err;
 	int			 i;
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	CDCE_LOCK(sc);
@@ -555,8 +555,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	CDCE_UNLOCK(sc);
 
@@ -575,7 +575,7 @@
 	CDCE_LOCK(sc);
 	ifp = GET_IFP(sc);
 
-	if (sc->cdce_dying || !(ifp->if_flags & IFF_RUNNING)) {
+	if (sc->cdce_dying || !(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		CDCE_UNLOCK(sc);
 		return;
 	}
@@ -643,7 +643,7 @@
 	ifp = GET_IFP(sc);
 
 	if (sc->cdce_dying ||
-		!(ifp->if_flags & IFF_RUNNING)) {
+		!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		CDCE_UNLOCK(sc);
 		return;
 	}
@@ -662,7 +662,7 @@
 		return;
 	}
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	usbd_get_xfer_status(c->ue_xfer, NULL, NULL, NULL, &err);
 
 	if (c->ue_mbuf != NULL) {
@@ -690,7 +690,7 @@
 	sc = ifp->if_softc;
 	CDCE_LOCK(sc);
 
-	if (sc->cdce_dying || !(ifp->if_flags & IFF_RUNNING)) {
+	if (sc->cdce_dying || !(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		CDCE_UNLOCK(sc);
 		return;
 	}
--- //depot/vendor/freebsd/src/sys/dev/usb/if_cue.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_cue.c	2005/08/05 14:11:40
@@ -620,7 +620,7 @@
 	CUE_LOCK(sc);
 	ifp = sc->cue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		CUE_UNLOCK(sc);
 		return;
 	}
@@ -704,7 +704,7 @@
 	}
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	usbd_get_xfer_status(c->ue_xfer, NULL, NULL, NULL, &err);
 
 	if (c->ue_mbuf != NULL) {
@@ -798,7 +798,7 @@
 	sc = ifp->if_softc;
 	CUE_LOCK(sc);
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		CUE_UNLOCK(sc);
 		return;
 	}
@@ -811,7 +811,7 @@
 
 	if (cue_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		CUE_UNLOCK(sc);
 		return;
 	}
@@ -822,7 +822,7 @@
 	 */
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -842,7 +842,7 @@
 	usbd_status		err;
 	int			i;
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	CUE_LOCK(sc);
@@ -928,8 +928,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	CUE_UNLOCK(sc);
 
@@ -949,20 +949,20 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->cue_if_flags & IFF_PROMISC)) {
 				CUE_SETBIT(sc, CUE_ETHCTL, CUE_ETHCTL_PROMISC);
 				cue_setmulti(sc);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->cue_if_flags & IFF_PROMISC) {
 				CUE_CLRBIT(sc, CUE_ETHCTL, CUE_ETHCTL_PROMISC);
 				cue_setmulti(sc);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				cue_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				cue_stop(sc);
 		}
 		sc->cue_if_flags = ifp->if_flags;
@@ -1074,7 +1074,7 @@
 	/* Free TX resources. */
 	usb_ether_tx_list_free(&sc->cue_cdata);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	CUE_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/dev/usb/if_kue.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_kue.c	2005/08/05 14:11:40
@@ -598,7 +598,7 @@
 	KUE_LOCK(sc);
 	ifp = sc->kue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		KUE_UNLOCK(sc);
 		return;
 	}
@@ -672,7 +672,7 @@
 
 	ifp = sc->kue_ifp;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (status != USBD_NORMAL_COMPLETION) {
 		if (status == USBD_NOT_STARTED || status == USBD_CANCELLED) {
@@ -752,7 +752,7 @@
 	sc = ifp->if_softc;
 	KUE_LOCK(sc);
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		KUE_UNLOCK(sc);
 		return;
 	}
@@ -765,7 +765,7 @@
 
 	if (kue_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		KUE_UNLOCK(sc);
 		return;
 	}
@@ -776,7 +776,7 @@
 	 */
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -798,7 +798,7 @@
 
 	KUE_LOCK(sc);
 
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		KUE_UNLOCK(sc);
 		return;
 	}
@@ -872,8 +872,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	KUE_UNLOCK(sc);
 
@@ -891,22 +891,22 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->kue_if_flags & IFF_PROMISC)) {
 				sc->kue_rxfilt |= KUE_RXFILT_PROMISC;
 				kue_setword(sc, KUE_CMD_SET_PKT_FILTER,
 				    sc->kue_rxfilt);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->kue_if_flags & IFF_PROMISC) {
 				sc->kue_rxfilt &= ~KUE_RXFILT_PROMISC;
 				kue_setword(sc, KUE_CMD_SET_PKT_FILTER,
 				    sc->kue_rxfilt);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				kue_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				kue_stop(sc);
 		}
 		sc->kue_if_flags = ifp->if_flags;
@@ -1012,7 +1012,7 @@
 	/* Free TX resources. */
 	usb_ether_tx_list_free(&sc->kue_cdata);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	KUE_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/dev/usb/if_rue.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_rue.c	2005/08/05 14:11:40
@@ -766,7 +766,7 @@
 	RUE_LOCK(sc);
 	ifp = sc->rue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		RUE_UNLOCK(sc);
 		return;
 	}
@@ -842,7 +842,7 @@
 	RUE_LOCK(sc);
 	ifp = sc->rue_ifp;
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		RUE_UNLOCK(sc);
 		return;
 	}
@@ -929,7 +929,7 @@
 	}
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	usbd_get_xfer_status(c->ue_xfer, NULL, NULL, NULL, &err);
 
 	if (c->ue_mbuf != NULL) {
@@ -1032,7 +1032,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		RUE_UNLOCK(sc);
 		return;
 	}
@@ -1045,7 +1045,7 @@
 
 	if (rue_encap(sc, m_head, 0)) {
 		IF_PREPEND(&ifp->if_snd, m_head);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		RUE_UNLOCK(sc);
 		return;
 	}
@@ -1056,7 +1056,7 @@
 	 */
 	BPF_MTAP(ifp, m_head);
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -1079,7 +1079,7 @@
 
 	RUE_LOCK(sc);
 
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		RUE_UNLOCK(sc);
 		return;
 	}
@@ -1183,8 +1183,8 @@
 		usbd_transfer(c->ue_xfer);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->rue_stat_ch = timeout(rue_tick, sc, hz);
 
@@ -1240,22 +1240,22 @@
 	switch (command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->rue_if_flags & IFF_PROMISC)) {
 				RUE_SETBIT_2(sc, RUE_RCR,
 					     (RUE_RCR_AAM | RUE_RCR_AAP));
 				rue_setmulti(sc);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 				   !(ifp->if_flags & IFF_PROMISC) &&
 				   sc->rue_if_flags & IFF_PROMISC) {
 				RUE_CLRBIT_2(sc, RUE_RCR,
 					     (RUE_RCR_AAM | RUE_RCR_AAP));
 				rue_setmulti(sc);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				rue_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				rue_stop(sc);
 		}
 		sc->rue_if_flags = ifp->if_flags;
@@ -1381,7 +1381,7 @@
 
 	sc->rue_link = 0;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	RUE_UNLOCK(sc);
 }
--- //depot/vendor/freebsd/src/sys/dev/usb/if_udav.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/usb/if_udav.c	2005/08/05 14:11:40
@@ -519,7 +519,7 @@
 		/* Wait for processes to go away */
 		usb_detach_wait(USBDEV(sc->sc_dev));
 	}
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		udav_stop(GET_IFP(sc), 1);
 
 #if NRND > 0
@@ -913,8 +913,8 @@
 		}
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 #if defined(__NetBSD__)
 	splx(s);
@@ -1151,7 +1151,7 @@
 	if (!sc->sc_link)
 		return;
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 #if defined(__NetBSD__)
 	IFQ_POLL(&ifp->if_snd, m_head);
@@ -1165,7 +1165,7 @@
 #if defined(__FreeBSD__)
 		IF_PREPEND(&ifp->if_snd, m_head);
 #endif
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		return;
 	}
 
@@ -1177,7 +1177,7 @@
 	BPF_MTAP(ifp, m_head);
 #endif
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/* Set a timeout in case the chip goes out to lunch. */
 	ifp->if_timer = 5;
@@ -1257,7 +1257,7 @@
 	DPRINTF(("%s: %s: enter\n", USBDEVNAME(sc->sc_dev), __func__));
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (status != USBD_NORMAL_COMPLETION) {
 		if (status == USBD_NOT_STARTED || status == USBD_CANCELLED) {
@@ -1458,11 +1458,11 @@
 #if defined(__FreeBSD__)
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC) {
 				UDAV_SETBIT(sc, UDAV_RCR,
 					    UDAV_RCR_ALL|UDAV_RCR_PRMSC);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 				   !(ifp->if_flags & IFF_PROMISC)) {
 				if (ifp->if_flags & IFF_ALLMULTI)
 					UDAV_CLRBIT(sc, UDAV_RCR,
@@ -1470,10 +1470,10 @@
  				else
  					UDAV_CLRBIT(sc, UDAV_RCR,
  						    UDAV_RCR_ALL|UDAV_RCR_PRMSC);
- 			} else if (!(ifp->if_flags & IFF_RUNNING))
+ 			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
  				udav_init(sc);
  		} else {
- 			if (ifp->if_flags & IFF_RUNNING)
+ 			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
  				udav_stop(ifp, 1);
  		}
  		error = 0;
@@ -1617,7 +1617,7 @@
 	usb_ether_tx_list_free(&sc->sc_cdata);
 
 	sc->sc_link = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 }
 
 /* Set media options */
@@ -1655,7 +1655,7 @@
 	if (sc->sc_dying)
 		return;
 
-	if ((ifp->if_flags & IFF_RUNNING) == 0) {
+	if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 		ifmr->ifm_active = IFM_ETHER | IFM_NONE;
 		ifmr->ifm_status = 0;
 		return;
--- //depot/vendor/freebsd/src/sys/dev/usb/if_ural.c	2005/07/22 16:50:36
+++ //depot/projects/netsmp/src/sys/dev/usb/if_ural.c	2005/08/05 14:11:40
@@ -677,7 +677,8 @@
 		return error;
 	}
 
-	if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) == (IFF_UP | IFF_RUNNING))
+	if ((ifp->if_flags & IFF_UP)  &&
+	    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 		ural_init(sc);
 
 	RAL_UNLOCK(sc);
@@ -820,7 +821,7 @@
 	DPRINTFN(10, ("tx done\n"));
 
 	sc->sc_tx_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ural_start(ifp);
 }
 
@@ -1275,7 +1276,7 @@
 		IF_POLL(&ic->ic_mgtq, m0);
 		if (m0 != NULL) {
 			if (sc->tx_queued >= RAL_TX_LIST_COUNT) {
-				ifp->if_flags |= IFF_OACTIVE;
+				ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 				break;
 			}
 			IF_DEQUEUE(&ic->ic_mgtq, m0);
@@ -1297,7 +1298,7 @@
 				break;
 			if (sc->tx_queued >= RAL_TX_LIST_COUNT) {
 				IFQ_DRV_PREPEND(&ifp->if_snd, m0);
-				ifp->if_flags |= IFF_OACTIVE;
+				ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 				break;
 			}
 
@@ -1391,12 +1392,12 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ural_update_promisc(sc);
 			else
 				ural_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ural_stop(sc);
 		}
 		break;
@@ -1406,8 +1407,8 @@
 	}
 
 	if (error == ENETRESET) {
-		if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) ==
-		    (IFF_UP | IFF_RUNNING))
+		if ((ifp->if_flags & IFF_UP) &&
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 			ural_init(sc);
 		error = 0;
 	}
@@ -2033,8 +2034,8 @@
 	}
 	ural_write(sc, RAL_TXRX_CSR2, tmp);
 
-	ifp->if_flags &= ~IFF_OACTIVE;
-	ifp->if_flags |= IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	if (ic->ic_opmode == IEEE80211_M_MONITOR)
 		ieee80211_new_state(ic, IEEE80211_S_RUN, -1);
@@ -2058,7 +2059,7 @@
 
 	sc->sc_tx_timer = 0;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	/* disable Rx */
 	ural_write(sc, RAL_TXRX_CSR2, RAL_DISABLE_RX);
--- //depot/vendor/freebsd/src/sys/dev/vge/if_vge.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/vge/if_vge.c	2005/08/05 14:11:40
@@ -1551,7 +1551,7 @@
 
 	if (idx != sc->vge_ldata.vge_tx_considx) {
 		sc->vge_ldata.vge_tx_considx = idx;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		ifp->if_timer = 0;
 	}
 
@@ -1866,7 +1866,7 @@
 	sc = ifp->if_softc;
 	VGE_LOCK(sc);
 
-	if (!sc->vge_link || ifp->if_flags & IFF_OACTIVE) {
+	if (!sc->vge_link || ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		VGE_UNLOCK(sc);
 		return;
 	}
@@ -1902,7 +1902,7 @@
 #else
 			IF_PREPEND(&ifp->if_snd, m_head);
 #endif
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -2119,8 +2119,8 @@
 
 	mii_mediachg(mii);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->vge_if_flags = 0;
 	sc->vge_link = 0;
@@ -2237,13 +2237,13 @@
 		break;
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->vge_if_flags & IFF_PROMISC)) {
 				CSR_SETBIT_1(sc, VGE_RXCTL,
 				    VGE_RXCTL_RX_PROMISC);
 				vge_setmulti(sc);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->vge_if_flags & IFF_PROMISC) {
 				CSR_CLRBIT_1(sc, VGE_RXCTL,
@@ -2252,7 +2252,7 @@
                         } else
 				vge_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				vge_stop(sc);
 		}
 		sc->vge_if_flags = ifp->if_flags;
@@ -2282,7 +2282,7 @@
 			ifp->if_hwassist = VGE_CSUM_FEATURES;
 		else
 			ifp->if_hwassist = 0;
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			vge_init(sc);
 		break;
 	default:
@@ -2329,7 +2329,7 @@
 	ifp = sc->vge_ifp;
 	ifp->if_timer = 0;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif /* DEVICE_POLLING */
